# fix automatic requires
%global __requires_exclude ^perl\\\((-norequire|ddclient)

Name:           ddclient
Version:        4.0.0
Release:        %mkrel 2
Summary:        Client to update dynamic DNS host entries
License:        GPLv2
Group:          System/Networking
URL:            https://ddclient.sourceforge.net/
Source0:        https://github.com/ddclient/ddclient/releases/download/v%{version}/ddclient-%{version}.tar.gz
Source1:        ddclient.rwtab
Source2:        ddclient.service
Source3:        ddclient.sysconfig
Source4:        ddclient.NetworkManager
Source5:        ddclient-tmpfiles.conf
BuildArch:      noarch
BuildRequires:  curl
Requires:       curl
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun):rpm-helper

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts on
many different dynamic DNS services. Features include: Operating as a daemon,
manual and automatic updates, static and dynamic updates, optimized updates for
multiple addresses, MX, wildcards, abuse avoidance, retrying the failed updates
and sending update status to syslog and through e-mail.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --runstatedir=%{_rundir}
%make_build

%install

chmod 644 README*

install -D -p -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
install -D -p -m 600 ddclient.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rwtab.d/%{name}
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -p -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
install -D -p -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}
touch %{buildroot}%{_localstatedir}/cache/%{name}/%{name}.cache

%pre
%_pre_useradd %{name} %{_localstatedir}/cache/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%create_ghostfile %{_localstatedir}/cache/%{name}/%{name}.cache %name %name 600

%postun
%_postun_userdel %{name}

%files
%doc README*
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0600,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_localstatedir}/cache/%{name}
%attr(0600,%{name},%{name}) %ghost %{_localstatedir}/cache/%{name}/%{name}.cache
%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%dir %ghost %attr(0755, ddclient, ddclient) %{_rundir}/ddclient
%ghost %attr(0660, -, -) %{_rundir}/ddclient/ddclient.pid


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.0.0-2.mga10
+ Revision: 2234873
- Mageia 10 Mass Rebuild

* Sun Jan 26 2025 wally <wally> 4.0.0-1.mga10
+ Revision: 2142654
- new version 4.0.0

* Wed Jun 26 2024 daviddavid <daviddavid> 3.11.2-2.mga10
+ Revision: 2076850
- filter out bogus perl dependency on perl(a)

* Sat May 04 2024 eatdirt <eatdirt> 3.11.2-1.mga10
+ Revision: 2062073
- Update to version 3.11.2

* Thu May 05 2022 eatdirt <eatdirt> 3.9.1-3.mga9
+ Revision: 1856357
- Rebuild for new systemd

* Mon Mar 21 2022 umeabot <umeabot> 3.9.1-2.mga9
+ Revision: 1812918
- Mageia 9 Mass Rebuild

* Fri Jul 10 2020 eatdirt <eatdirt> 3.9.1-1.mga8
+ Revision: 1604313
- Upgrade to version 3.9.1

* Sat Feb 15 2020 umeabot <umeabot> 3.9.0-3.mga8
+ Revision: 1524224
- Mageia 8 Mass Rebuild

* Wed Mar 27 2019 daviddavid <daviddavid> 3.9.0-2.mga7
+ Revision: 1380486
- update tmpfiles configuration to use /run instead of /var/run

* Tue Sep 18 2018 eatdirt <eatdirt> 3.9.0-1.mga7
+ Revision: 1263175
- Upgrade to version 3.9.0

* Tue Sep 18 2018 umeabot <umeabot> 3.8.3-2.mga7
+ Revision: 1260596
- Mageia 7 Mass Rebuild

* Tue Jan 26 2016 eatdirt <eatdirt> 3.8.3-1.mga6
+ Revision: 927915
- Upgrade to version 3.8.3

* Wed Oct 07 2015 ovitters <ovitters> 3.8.2-5.mga6
+ Revision: 886998
- remove executable bit from systemd unit file

* Wed Jun 24 2015 ovitters <ovitters> 3.8.2-4.mga6
+ Revision: 842464
- ensure ddclient can resolve host name at boot (mga#16193)

* Wed Oct 15 2014 umeabot <umeabot> 3.8.2-3.mga5
+ Revision: 746242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.2-2.mga5
+ Revision: 678697
- Mageia 5 Mass Rebuild

* Sun Apr 27 2014 eatdirt <eatdirt> 3.8.2-1.mga5
+ Revision: 618501
- Upgrade to version 3.8.2

* Sat Oct 19 2013 umeabot <umeabot> 3.8.1-7.mga4
+ Revision: 522684
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 3.8.1-6.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Tue Jan 22 2013 fwang <fwang> 3.8.1-5.mga3
+ Revision: 390849
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 3.8.1-4.mga3
+ Revision: 348706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 eatdirt <eatdirt> 3.8.1-3.mga3
+ Revision: 283952
- Compat systemd for /var/run, specfile cleaned

* Wed Jul 25 2012 ovitters <ovitters> 3.8.1-2.mga3
+ Revision: 274271
- sync with fedora
- native systemd service
- run under ddclient user instead of root

* Thu Sep 08 2011 tv <tv> 3.8.1-1.mga2
+ Revision: 141553
- new release

* Sat Apr 09 2011 wally <wally> 3.8.0-4.mga1
+ Revision: 82593
- change summary and description (thanks goes to Fedora)

* Sat Apr 09 2011 wally <wally> 3.8.0-3.mga1
+ Revision: 82520
- minor .spec rewrite
- drop buildroot definition
- imported package ddclient


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.8.0-3mdv2011.0
+ Revision: 610205
- rebuild

* Fri Apr 17 2009 Frederic Crozat <fcrozat@mandriva.com> 3.8.0-2mdv2010.1
+ Revision: 367863
- Patch0: add LSB header to initscript
- use macro to add/remove service

* Fri Feb 20 2009 Frederik Himpe <fhimpe@mandriva.org> 3.8.0-1mdv2009.1
+ Revision: 343496
- update to new version 3.8.0

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.7.3-5mdv2009.0
+ Revision: 243987
- rebuild

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 3.7.3-3mdv2008.1
+ Revision: 187591
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Emmanuel Andry <eandry@mandriva.org> 3.7.3-1mdv2008.0
+ Revision: 79530
- New version

* Fri May 25 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 3.7.1-3mdv2008.0
+ Revision: 31224
- add explict requirement for perl(IO::Socket::SSL). Without it ddclient
  fails silently when trying to access https servers.
  (automatic requirement not working for this one)


* Tue Mar 20 2007 Lenny Cartier <lenny@mandriva.com> 3.7.1-2mdv2007.1
+ Revision: 146924
- Add /var/cache/ddclient directory

* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 3.7.1-1mdv2007.1
+ Revision: 120449
- Update to 3.7.1
- Import ddclient

* Fri Jun 16 2006 Lenny Cartier <lenny@mandriva.com> 3.7.0-1mdv2007.0
- 3.7.0

* Sun Dec 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.6.7-1mdk
- New release 3.6.7

* Sat May 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.6.6-1mdk
- New release 3.6.6

* Wed Feb 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.6.5-3mdk
- remove patch to fix initscript

* Wed Jan 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.6.5-2mdk
- fix initscript (from Luis Alves)

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.6.5-1mdk
- 3.6.5

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.6.4-2mdk
- move config files to /etc/ddclient

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.6.4-1mdk
- 3.6.4

